JBossWebModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossWebModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossWebModule

All Superinterfaces:
  ConfigurationItem, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule, WebModule

    public interface JBossWebModule

extends WebModule

WebModule

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`JBossJ2EEApplication` | `getApplication()`
`boolean` | `getDeployed()`
`JBossServlets[]` | `getJBossServlets()`
`java.lang.String` | `getJBossWebDeploymentDescriptor()`
`boolean` | `hasApplication()`
`boolean` | `hasDeployed()`
`boolean` | `hasJBossServlets()`
`boolean` | `hasJBossWebDeploymentDescriptor()`
`void` | `setApplication(JBossJ2EEApplication app)`
`void` | `setDeployed(boolean b)`
`void` | `setJBossServlets(JBossServlets[] servlet)`
`void` | `setJBossWebDeploymentDescriptor(java.lang.String desc)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getJBossWebDeploymentDescriptor

    java.lang.String getJBossWebDeploymentDescriptor()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJBossWebDeploymentDescriptor

    void setJBossWebDeploymentDescriptor(java.lang.String desc)

### hasJBossWebDeploymentDescriptor

    boolean hasJBossWebDeploymentDescriptor()

### getJBossServlets

    JBossServlets[] getJBossServlets()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setJBossServlets

    void setJBossServlets(JBossServlets[] servlet)

### hasJBossServlets

    boolean hasJBossServlets()

### getApplication

    JBossJ2EEApplication getApplication()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setApplication

    void setApplication(JBossJ2EEApplication app)

### hasApplication

    boolean hasApplication()

### getDeployed

    boolean getDeployed()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeployed

    void setDeployed(boolean b)

### hasDeployed

    boolean hasDeployed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD